// 秒寻科技
// 基站模块，包括计算主站频率和主站ID
// zt
// 2023-03-12

#ifndef __BTS_MAIN_H__
#define __BTS_MAIN_H__

#include "../../sysdefine/sysdef.h"

// 外部使用接口
void bts_main_init();
void bts_main_deinit();
int32 *bts_main_get_install_bts_list();
void bts_main(PUB_LOCATION_DATA_T *pstLocationDataList, ROUTE_NEARBY_BTS_LIST *pstNearbyBtsList, PUB_LCT_BTS_LIST_T *pstLctBtsList);
void bts_main_show_install_bts();

// 内部使用接口
void bts_main_update_lct_data_list(PUB_LOCATION_DATA_T *pstLctDataList, PUB_LCT_BTS_LIST_T *pstLctBtsList);
void bts_main_update_main_bts_flag_by_max_ampl(PUB_LCT_BTS_LIST_T *pstLctBtsList, BTS_MAX_AMPL_DATA_T *pstBtsMaxAmplDataList);
void bts_main_gen_lct_bts_list_by_blue_or_wifi(ROUTE_NEARBY_BTS_LIST *pstNearbyInstallBtsList, PUB_LCT_BTS_LIST_T *pstLctBtsList);
void bts_main_check_lct_bts_valid(PUB_LOCATION_DATA_T *pstLctDataList, PUB_LCT_BTS_LIST_T *pstLctBtsList);

void bts_main_gen_test_bts();

#endif